Bug 1431166 - Wrong selection of parent for VM in a tree
Summary: Wrong selection of parent for VM in a tree
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.2
Assignee: Zita Nemeckova
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:tree_view:vm
Depends On: 1431148
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-10 14:09 UTC by Satoe Imaishi
Modified: 2017-04-12 14:34 UTC (History)
6 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1431148
Environment:
Last Closed: 2017-04-12 14:34:01 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-10 21:06:08 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/9f3af99c4a8b0978081d28d2fa6190ff5e3f89fd

commit 9f3af99c4a8b0978081d28d2fa6190ff5e3f89fd
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Sat Mar 4 20:23:23 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 10 16:05:05 2017 -0500

    Merge pull request #488 from ZitaNemeckova/vm_tree_fix
    
    Add condition to select Datacenter in vm_tree with hidden vms
    (cherry picked from commit 9d789aa6f6e3e0790228c7753ccfda10d2fe03bb)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1431166

 app/controllers/vm_common.rb       |  9 +++++++--
 spec/controllers/vm_common_spec.rb | 12 ++++++++++++
 2 files changed, 19 insertions(+), 2 deletions(-)

Comment 4 Matouš Mojžíš 2017-03-31 13:00:35 UTC
Verified in 5.7.2.0. Parent is selected correctly.

Comment 5 errata-xmlrpc 2017-04-12 14:34:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.